Last Comment Bug 607108 - focus group name field after creating new group
: focus group name field after creating new group
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P4 trivial
: Firefox 7
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 607103
Blocks: 660175
  Show dependency treegraph
 
Reported: 2010-10-25 14:29 PDT by Luis Villa
Modified: 2016-04-12 14:00 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (5.13 KB, patch)
2011-06-06 11:37 PDT, Tim Taubert [:ttaubert]
raymond: feedback+
Details | Diff | Review
patch v2 (5.95 KB, patch)
2011-06-07 01:57 PDT, Tim Taubert [:ttaubert]
ehsan: review+
Details | Diff | Review
patch v3 (8.35 KB, patch)
2011-06-10 08:47 PDT, Tim Taubert [:ttaubert]
ehsan: review+
Details | Diff | Review

Description Luis Villa 2010-10-25 14:29:12 PDT
When I create a 'new folder' in finder or other file managers, the folder name field is immediately focused so that I can type the new folder's name. 

I have the same expectation when creating a new group, but instead I get search.

Current behavior:
1) click and drag to create new tab group
2) type 'foo' to name the group, hit enter
3) get told there are no search results for foo.

Expected behavior:
1) click and drag to create new tab group
2) type 'foo' to name the group, hit enter
3) the group is now named 'foo'

Would be nice for this to Just Work. :)
Comment 1 Kevin Hanes 2010-10-26 11:00:51 PDT
That certainly seems like the sort of behavior we want! Adding it to the b9 (fit n' finish beta) list so we can discuss it more when we get there.
Comment 2 Kevin Hanes 2011-01-10 10:06:57 PST
bugspam (moving b9 to b10)
Comment 3 Kevin Hanes 2011-01-10 10:09:38 PST
bugspam (removing b9)
Comment 4 Kevin Hanes 2011-01-11 17:16:46 PST
Punting
Comment 5 Tim Taubert [:ttaubert] 2011-06-06 11:37:54 PDT
Created attachment 537601 [details] [diff] [review]
patch v1

@Alex: the patch focuses the title input field when using mouse drag to create a new tab group. Shall we also focus the input field when creating a group via dragging a tabItem onto an orphan tab? Without the orphan tab concept we would immediately create a new group when dragging a tab out of its group.

I don't feel like it's the right thing to focus the input field when not explicitly creating a new group but it's up to you :)
Comment 6 Raymond Lee [:raymondlee] 2011-06-06 21:22:14 PDT
Comment on attachment 537601 [details] [diff] [review]
patch v1

+  if (options.focusTitle)
+    this.focusTitle();
+

Nit: Please add a comment about options.focusTitle to the method input variable options.
Comment 7 Tim Taubert [:ttaubert] 2011-06-07 01:13:50 PDT
Comment on attachment 537601 [details] [diff] [review]
patch v1

Passed try:

http://tbpl.mozilla.org/?tree=Try&pusher=tim.taubert@gmx.de&rev=1ef959a9e308
Comment 8 Tim Taubert [:ttaubert] 2011-06-07 01:57:08 PDT
Created attachment 537755 [details] [diff] [review]
patch v2
Comment 10 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-06-09 11:56:55 PDT
Backed out due to mochitest-other orange.
Comment 11 Tim Taubert [:ttaubert] 2011-06-10 08:47:50 PDT
Created attachment 538527 [details] [diff] [review]
patch v3

Extended patch (and test) to auto-focus the title field when creating a new group by dragging a tab onto an orphan tab (as requested by Limi).
Comment 12 :Ehsan Akhgari (busy, don't ask for review please) 2011-06-10 14:59:25 PDT
Do we know what was wrong with the original patch which caused this to be backed out?
Comment 13 Tim Taubert [:ttaubert] 2011-06-10 15:07:39 PDT
(In reply to comment #12)
> Do we know what was wrong with the original patch which caused this to be
> backed out?

I relanded all other patches except bug 633190 - that was actually causing this intermittent orange. So this patch should be safe.
Comment 14 Tim Taubert [:ttaubert] 2011-06-11 17:35:19 PDT
Comment on attachment 538527 [details] [diff] [review]
patch v3

Passed try:

http://tbpl.mozilla.org/?tree=Try&pusher=tim.taubert@gmx.de&rev=3b0da64388be
Comment 16 Tim Taubert [:ttaubert] 2011-06-15 02:26:18 PDT
http://hg.mozilla.org/mozilla-central/rev/d58376753a93
Comment 17 George Carstoiu 2011-06-16 05:16:09 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110615 Firefox/7.0a1

Verified issue on Ubuntu 11.04 x86, Mac OS X 10.6, Win 7 x86, WinXP using the steps from the Description.

Issue no longer present - changing status to Verified.

Note You need to log in before you can comment on or make changes to this bug.